package hazelcache.test;

import java.io.IOException;
import java.util.LinkedList;
import java.util.List;
import javax.faces.bean.ManagedBean;
import javax.faces.context.FacesContext;
import javax.servlet.ServletContext;
import org.infinispan.manager.EmbeddedCacheManager;

@ManagedBean(name="clusterTest")
public class ClusteredCacheBean extends CacheTestBean
{
    EmbeddedCacheManager manager;
    
    public ClusteredCacheBean() throws IOException
    {
        System.out.println("Before setStuffz()");
        
        manager = (EmbeddedCacheManager) ((ServletContext)FacesContext.getCurrentInstance().
                getExternalContext().getContext()).getAttribute("cacheManager");
        
        setStuffz(manager.getCache("stuffz"));
        System.out.println("After setStuffz()");
        
    }// end ClusteredCacheBean()
    
    @Override
    public String addToCache()
    {
        String forwardTo = null;
        
        manager.getCache("stuffz").put(getId(), getName());
        
        return forwardTo;
        
    }// end addToCache()

    @Override
    public List getStuffzList()
    {
        System.out.println("Stuffz: " + getStuffz().size());
        return new LinkedList(manager.getCache("stuffz").entrySet());
    }
}// end class ClusteredCacheBean
